Package tigase.form

## Class Form

- java.lang.Object
- - tigase.form.AbstractForm
  - - tigase.form.Form

- Direct Known Subclasses:
    `MultiItemForm`

      public class Form
      extends AbstractForm

  Created: 2007-05-27 11:41:02

  Author:
    bmalkow

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Fields` | `fields` |

    - ### Fields inherited from class tigase.form.AbstractForm

      `instruction, log, title, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Form​(java.lang.String type, java.lang.String title, java.lang.String instruction)` |
    `Form​(Element form)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addField​(Field field)` |
    `void` | `clear()` |
    `void` | `copyValuesFrom​(Form form)` |
    `void` | `copyValuesFrom​(Element form)` |
    `Field` | `get​(java.lang.String var)` |
    `java.util.List<Field>` | `getAllFields()` |
    `java.lang.Boolean` | `getAsBoolean​(java.lang.String var)` |
    `java.lang.Integer` | `getAsInteger​(java.lang.String var)` |
    `java.lang.Long` | `getAsLong​(java.lang.String var)` |
    `java.lang.String` | `getAsString​(java.lang.String var)` |
    `java.lang.String[]` | `getAsStrings​(java.lang.String var)` |
    `Element` | `getElement()` |
    `java.lang.String` | `getInstruction()` |
    `java.lang.String` | `getTitle()` |
    `java.lang.String` | `getType()` |
    `java.lang.String` | `getTypeOrElse​(java.lang.String defValue)` |
    `boolean` | `is​(java.lang.String var)` |
    `boolean` | `isType​(java.lang.String type)` |
    `void` | `removeField​(java.lang.String var)` |
    `void` | `setInstruction​(java.lang.String instruction)` |
    `void` | `setTitle​(java.lang.String title)` |
    `void` | `setType​(java.lang.String type)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fields

          protected Fields fields

  - ### Constructor Detail

    - #### Form

          public Form​(Element form)

    - #### Form

          public Form​(java.lang.String type,
                      java.lang.String title,
                      java.lang.String instruction)

  - ### Method Detail

    - #### addField

          public void addField​(Field field)

    - #### clear

          public void clear()

    - #### copyValuesFrom

          public void copyValuesFrom​(Element form)

    - #### copyValuesFrom

          public void copyValuesFrom​(Form form)

    - #### get

          public Field get​(java.lang.String var)

    - #### getAllFields

          public java.util.List<Field> getAllFields()

    - #### getAsBoolean

          public java.lang.Boolean getAsBoolean​(java.lang.String var)

    - #### getAsInteger

          public java.lang.Integer getAsInteger​(java.lang.String var)

    - #### getAsLong

          public java.lang.Long getAsLong​(java.lang.String var)

    - #### getAsString

          public java.lang.String getAsString​(java.lang.String var)

    - #### getAsStrings

          public java.lang.String[] getAsStrings​(java.lang.String var)

    - #### getElement

          public Element getElement()

      Overrides:
        `getElement` in class `AbstractForm`

    - #### getInstruction

          public java.lang.String getInstruction()

      Overrides:
        `getInstruction` in class `AbstractForm`

    - #### setInstruction

          public void setInstruction​(java.lang.String instruction)

      Overrides:
        `setInstruction` in class `AbstractForm`

    - #### getTitle

          public java.lang.String getTitle()

      Overrides:
        `getTitle` in class `AbstractForm`

    - #### setTitle

          public void setTitle​(java.lang.String title)

      Overrides:
        `setTitle` in class `AbstractForm`

    - #### getType

          public java.lang.String getType()

      Overrides:
        `getType` in class `AbstractForm`

    - #### setType

          public void setType​(java.lang.String type)

      Overrides:
        `setType` in class `AbstractForm`

    - #### getTypeOrElse

          public java.lang.String getTypeOrElse​(java.lang.String defValue)

      Overrides:
        `getTypeOrElse` in class `AbstractForm`

    - #### is

          public boolean is​(java.lang.String var)

    - #### isType

          public boolean isType​(java.lang.String type)

      Overrides:
        `isType` in class `AbstractForm`

    - #### removeField

          public void removeField​(java.lang.String var)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`